#!/bin/bash

if [ $(id -u) -eq 0 ]
  then echo "Root access not needed"; exit
fi

# CLI Tools
$HOME/.dotfiles/auto-config-cli.sh

# Codium
if [ ! -f "/etc/apt/sources.list.d/vscodium.list" ]
then
  wget -qO - https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/raw/master/pub.gpg | sudo apt-key add -
  echo 'deb https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/raw/repos/debs/ vscodium main' | sudo tee --append /etc/apt/sources.list.d/vscodium.list
fi

sudo apt install terminator codium

mkdir -p $HOME/.config/VSCodium/User/
ln -sf $HOME/.dotfiles/codium/keybindings.json $HOME/.config/VSCodium/User/keybindings.json
ln -sf $HOME/.dotfiles/codium/settings.json $HOME/.config/VSCodium/User/settings.json

mkdir -p $HOME/.config/terminator/
ln -sf $HOME/.dotfiles/terminator/config $HOME/.config/terminator/config
